--- /var/tmp/smbios.lst	Sat Mar 19 01:34:29 2011
+++ /var/tmp/smbios-new.lst	Sat Mar 19 01:34:15 2011
@@ -1,5 +1,5 @@
 ID    SIZE TYPE
-0     67   SMB_TYPE_BIOS (BIOS information)
+0     67   0 SMB_TYPE_BIOS (BIOS information)
 
   Vendor: Phoenix Technologies Ltd.
   Version String: 1.20  
@@ -34,7 +34,7 @@
   Embedded Ctlr Firmware Version Number: 0.0
 
 ID    SIZE TYPE
-1     82   SMB_TYPE_SYSTEM (system information)
+1     82   1 SMB_TYPE_SYSTEM (system information)
 
   Manufacturer: Sun Microsystems
   Product: Sun Ultra 40 Workstation
@@ -47,7 +47,7 @@
   Family: 
 
 ID    SIZE TYPE
-2     59   SMB_TYPE_BASEBOARD (base board)
+2     59   2 SMB_TYPE_BASEBOARD (base board)
 
   Manufacturer: Sun Microsystems
   Product: Sun Ultra 40 Workstation
@@ -59,12 +59,13 @@
   Board Type: 0x0
 
 ID    SIZE TYPE
-3     39   SMB_TYPE_CHASSIS (system enclosure or chassis)
+3     39   3 SMB_TYPE_CHASSIS (system enclosure or chassis)
 
   Manufacturer: Sun Microsystems
   Version: 01
   Serial Number: 000000
 
+  SKU Number: 
   OEM Data: 0x0
   Lock Present: N
   Chassis Type: 0x11 (main server chassis)
@@ -71,12 +72,12 @@
   Boot-Up State: 0x2 (unknown)
   Power Supply State: 0x2 (unknown)
   Thermal State: 0x2 (unknown)
-  Chassis Height: 0u
+  Chassis Height: 0 RU
   Power Cords: 0
   Element Records: 0
 
 ID    SIZE TYPE
-4     73   SMB_TYPE_PROCESSOR (processor)
+4     73   4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD
   Version: AMD               
@@ -88,16 +89,16 @@
   Socket Upgrade: 6 (none)
   Socket Status: Populated
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.2V
-  External Clock Speed: Unknown
-  Maximum Speed: 3000MHz
-  Current Speed: 2800MHz
-  L1 Cache: 8
-  L2 Cache: 9
+  Supported Voltages: 1.2 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 3000 MHz
+  Current Speed: 2800 MHz
+  L1 Cache: see ID 8
+  L2 Cache: see ID 9
   L3 Cache: None
 
 ID    SIZE TYPE
-5     73   SMB_TYPE_PROCESSOR (processor)
+5     73   4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD
   Version: AMD               
@@ -109,16 +110,16 @@
   Socket Upgrade: 6 (none)
   Socket Status: Populated
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.2V
-  External Clock Speed: Unknown
-  Maximum Speed: 3000MHz
-  Current Speed: 2800MHz
-  L1 Cache: 10
-  L2 Cache: 11
+  Supported Voltages: 1.2 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 3000 MHz
+  Current Speed: 2800 MHz
+  L1 Cache: see ID 10
+  L2 Cache: see ID 11
   L3 Cache: None
 
 ID    SIZE TYPE
-6     87   SMB_TYPE_PROCESSOR (processor)
+6     87   4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD
   Version: 00000000000000000000000000000000
@@ -130,9 +131,9 @@
   Socket Upgrade: 6 (none)
   Socket Status: Not Populated
   Processor Status: 0 (unknown)
-  Supported Voltages: 1.2V
-  External Clock Speed: Unknown
-  Maximum Speed: 3000MHz
+  Supported Voltages: 1.2 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 3000 MHz
   Current Speed: Unknown
   L1 Cache: None
   L2 Cache: None
@@ -139,7 +140,7 @@
   L3 Cache: None
 
 ID    SIZE TYPE
-7     87   SMB_TYPE_PROCESSOR (processor)
+7     87   4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD
   Version: 00000000000000000000000000000000
@@ -151,9 +152,9 @@
   Socket Upgrade: 6 (none)
   Socket Status: Not Populated
   Processor Status: 0 (unknown)
-  Supported Voltages: 1.2V
-  External Clock Speed: Unknown
-  Maximum Speed: 3000MHz
+  Supported Voltages: 1.2 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 3000 MHz
   Current Speed: Unknown
   L1 Cache: None
   L2 Cache: None
@@ -160,7 +161,7 @@
   L3 Cache: None
 
 ID    SIZE TYPE
-8     30   SMB_TYPE_CACHE (processor cache)
+8     30   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: H0 L1 Cache
 
@@ -182,7 +183,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-9     30   SMB_TYPE_CACHE (processor cache)
+9     30   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: H0 L2 Cache
 
@@ -204,7 +205,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-10    30   SMB_TYPE_CACHE (processor cache)
+10    30   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: H1 L1 Cache
 
@@ -226,7 +227,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-11    30   SMB_TYPE_CACHE (processor cache)
+11    30   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: H1 L2 Cache
 
@@ -248,7 +249,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-12    23   SMB_TYPE_SLOT (upgradeable system slot)
+12    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIE0 Slot
 
@@ -259,13 +260,13 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-13    22   SMB_TYPE_SLOT (upgradeable system slot)
+13    22   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCI0 Slot
 
@@ -276,12 +277,12 @@
   Usage: 0x4 (in use)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x2
-	SMB_SLCH1_5V (provides 5.0V)
+	SMB_SLCH1_5V (provides 5.0 V)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-14    22   SMB_TYPE_SLOT (upgradeable system slot)
+14    22   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCI1 Slot
 
@@ -292,12 +293,12 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x2
-	SMB_SLCH1_5V (provides 5.0V)
+	SMB_SLCH1_5V (provides 5.0 V)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-15    23   SMB_TYPE_SLOT (upgradeable system slot)
+15    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIE1 Slot
 
@@ -308,13 +309,13 @@
   Usage: 0x4 (in use)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-16    23   SMB_TYPE_SLOT (upgradeable system slot)
+16    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIE2 Slot
 
@@ -325,13 +326,13 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-17    23   SMB_TYPE_SLOT (upgradeable system slot)
+17    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIE3 Slot
 
@@ -342,19 +343,19 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-18    8    SMB_TYPE_OEMSTR (OEM string table)
+18    8    11 SMB_TYPE_OEMSTR (OEM string table)
 
   0
   0
 
 ID    SIZE TYPE
-19    29   SMB_TYPE_EVENTLOG (system event log)
+19    29   15 SMB_TYPE_EVENTLOG (system event log)
 
   Log Area Size: 64 bytes
   Header Offset: 0
@@ -372,7 +373,7 @@
   2: Log Type 0x2, Data Type 0x2
 
 ID    SIZE TYPE
-20    15   SMB_TYPE_MEMARRAY (physical memory array)
+20    15   16 SMB_TYPE_MEMARRAY (physical memory array)
 
   Location: 3 (system board or motherboard)
   Use: 3 (system memory)
@@ -382,14 +383,15 @@
   Max Capacity: 17179869184 bytes
 
 ID    SIZE TYPE
-21    42   SMB_TYPE_MEMDEVICE (memory device)
+21    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C0_DIMM0
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 128 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 1073741824 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -396,19 +398,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C0_DIMM0
   Bank Locator: Bank 0
 
 ID    SIZE TYPE
-22    42   SMB_TYPE_MEMDEVICE (memory device)
+22    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C0_DIMM1
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 128 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 1073741824 bytes
   Form Factor: 9 (DIMM)
   Set: 1
@@ -415,19 +419,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C0_DIMM1
   Bank Locator: Bank 0
 
 ID    SIZE TYPE
-23    42   SMB_TYPE_MEMDEVICE (memory device)
+23    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C0_DIMM2
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 0 bits
   Data Width: 0 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: 2
@@ -434,19 +440,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x4
 	SMB_MDF_UNKNOWN (unknown)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C0_DIMM2
   Bank Locator: Bank 1
 
 ID    SIZE TYPE
-24    42   SMB_TYPE_MEMDEVICE (memory device)
+24    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C0_DIMM3
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 0 bits
   Data Width: 0 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: 3
@@ -453,19 +461,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x4
 	SMB_MDF_UNKNOWN (unknown)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C0_DIMM3
   Bank Locator: Bank 1
 
 ID    SIZE TYPE
-25    42   SMB_TYPE_MEMDEVICE (memory device)
+25    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C1_DIMM0
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 128 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 1073741824 bytes
   Form Factor: 9 (DIMM)
   Set: 4
@@ -472,19 +482,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C1_DIMM0
   Bank Locator: Bank 2
 
 ID    SIZE TYPE
-26    42   SMB_TYPE_MEMDEVICE (memory device)
+26    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C1_DIMM1
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 128 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 1073741824 bytes
   Form Factor: 9 (DIMM)
   Set: 5
@@ -491,19 +503,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C1_DIMM1
   Bank Locator: Bank 2
 
 ID    SIZE TYPE
-27    42   SMB_TYPE_MEMDEVICE (memory device)
+27    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C1_DIMM2
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 0 bits
   Data Width: 0 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: 6
@@ -510,19 +524,21 @@
   Memory Type: 3 (DRAM)
   Flags: 0x4
 	SMB_MDF_UNKNOWN (unknown)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C1_DIMM2
   Bank Locator: Bank 3
 
 ID    SIZE TYPE
-28    42   SMB_TYPE_MEMDEVICE (memory device)
+28    42   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: C1_DIMM3
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Memory Error Data: None
   Total Width: 0 bits
   Data Width: 0 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: 7
@@ -529,23 +545,24 @@
   Memory Type: 3 (DRAM)
   Flags: 0x4
 	SMB_MDF_UNKNOWN (unknown)
-  Speed: 2ns
+  Speed: 400 MHz
+  Configured Speed: Unknown
   Device Locator: C1_DIMM3
   Bank Locator: Bank 3
 
 ID    SIZE TYPE
-29    15   SMB_TYPE_MEMARRAYMAP (memory array mapped address)
+29    15   19 SMB_TYPE_MEMARRAYMAP (memory array mapped address)
 
-  Physical Memory Array: 20
+  Physical Memory Array: see ID 20
   Devices per Row: 2
   Physical Address: 0x0
   Size: 4294967296 bytes
 
 ID    SIZE TYPE
-30    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+30    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 21
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 21
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x0
   Size: 1073741824 bytes
   Partition Row Position: 1
@@ -553,10 +570,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-31    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+31    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 22
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 22
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x40000000
   Size: 1073741824 bytes
   Partition Row Position: 1
@@ -564,10 +581,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-32    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+32    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 23
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 23
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x7ffffc00
   Size: 1024 bytes
   Partition Row Position: 1
@@ -575,10 +592,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-33    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+33    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 24
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 24
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x7ffffc00
   Size: 1024 bytes
   Partition Row Position: 1
@@ -586,10 +603,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-34    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+34    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 25
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 25
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x80000000
   Size: 1073741824 bytes
   Partition Row Position: 1
@@ -597,10 +614,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-35    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+35    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 26
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 26
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x120000000
   Size: 536870912 bytes
   Partition Row Position: 1
@@ -608,10 +625,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-36    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+36    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 27
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 27
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x13ffffc00
   Size: 1024 bytes
   Partition Row Position: 1
@@ -619,10 +636,10 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-37    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+37    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 28
-  Memory Array Mapped Address: 29
+  Memory Device: see ID 28
+  Memory Array Mapped Address: see ID 29
   Physical Address: 0x13ffffc00
   Size: 1024 bytes
   Partition Row Position: 1
@@ -630,7 +647,7 @@
   Interleave Data Depth: 1
 
 ID    SIZE TYPE
-38    11   SMB_TYPE_BOOT (system boot status)
+38    11   32 SMB_TYPE_BOOT (system boot status)
 
   Boot Status Code: 0x0 (no errors detected)
 
